
// -----------------------------------------------------------------------------
// Implementation of the boot interface.
// -----------------------------------------------------------------------------

// int main(int argc, string[] argv)
int METHOD(main, main) (COMP_TYPE *this, int argc, char *argv[]){

  // call the 'print' method of the 'sa' client interface.
  sa.print(this, "hello world");

  // call again the same method to look at invocation count
  sa.println(this, "hello world");


  return 0;
}
